summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2022-01-11 18:18:00 +0100
committer Willy Sudiarto Raharjo2022-01-17 03:03:29 +0100
commitebde9c565dc9ec910055f8bda1174451e7e602ad (patch)
tree142530cbaef999e885b931195ca9921dc9e7f218
parent9460a2396e3daa20c536faeaba07664db89ec4f4 (diff)
downloadslackbuilds-ebde9c565dc9ec910055f8bda1174451e7e602ad.tar.gz
games/dmagnetic: Added (magnetic scrolls interpreter)
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/dmagnetic/README11
-rw-r--r--games/dmagnetic/dmagnetic.SlackBuild93
-rw-r--r--games/dmagnetic/dmagnetic.info12
-rw-r--r--games/dmagnetic/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/games/dmagnetic/README b/games/dmagnetic/README
new file mode 100644
index 0000000000..4d077d03f4
--- /dev/null
+++ b/games/dmagnetic/README
@@ -0,0 +1,11 @@
+dmagnetic (interpreter for Magnetic Scrolls games)
+
+dMagnetic is an interpreter for classic adventure games, or
+interactive fiction, using the Magnetic Scrolls game engine. Supported
+games are "The Pawn", "The Guild of Thieves", "Jinxter", "Fish!",
+"Myth", "Corruption", and "Wonderland".
+
+The package includes the PDF user manual in /usr/doc/dmagnetic-$VERSION.
+
+This is a command-line application; it won't show up in your desktop
+menus.
diff --git a/games/dmagnetic/dmagnetic.SlackBuild b/games/dmagnetic/dmagnetic.SlackBuild
new file mode 100644
index 0000000000..a030f57ff1
--- /dev/null
+++ b/games/dmagnetic/dmagnetic.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/bash
+
+# Slackware build script for dmagnetic
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Note: no desktop integration or icons here. This application has to
+# be run from the command line, unless the user's gone to the trouble
+# of creating an .ini file... and even then you have to put the game
+# name on the command line (so you'd need 7 .desktop files, none of
+# which would work OOTB).
+
+# MANVER is separate in case upstream produces e.g. a version 0.32.1
+# but keeps the manual version at 0.32. No idea if this will ever
+# happen. The manual source is available, as TeX source, but I see no
+# reason to build it instead of using the prebuilt PDF file.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=dmagnetic
+SRCNAM=dMagnetic
+VERSION=${VERSION:-0.32}
+MANVER=${MANVER:-$VERSION}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${SRCNAM}_$VERSION
+tar xvf $CWD/${SRCNAM}_$VERSION.tar.bz2
+cd ${SRCNAM}_$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+make CFLAGS="$SLKCFLAGS -Wl,-s"
+make install \
+ PREFIX=$PKG/usr \
+ INSTALLBIN=$PKG/usr/games \
+ INSTALLMAN=$PKG/usr/man
+
+# lowercase name aliases.
+ln -s $SRCNAM.6.gz $PKG/usr/man/man6/$PRGNAM.6.gz
+ln -s $SRCNAM $PKG/usr/games/$PRGNAM
+
+# game doesn't actually use the .txt files at runtime, mv to doc dir.
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+mv $PKG/usr/share/games/$SRCNAM/{README,LICENSE}.txt $PKGDOC
+install -p -oroot -groot -m0644 $CWD/${SRCNAM}_${MANVER//./}.pdf $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/dmagnetic/dmagnetic.info b/games/dmagnetic/dmagnetic.info
new file mode 100644
index 0000000000..d7be85c596
--- /dev/null
+++ b/games/dmagnetic/dmagnetic.info
@@ -0,0 +1,12 @@
+PRGNAM="dmagnetic"
+VERSION="0.32"
+HOMEPAGE="https://www.dettus.net/dMagnetic/"
+DOWNLOAD="https://www.dettus.net/dMagnetic/dMagnetic_0.32.tar.bz2 \
+ https://www.dettus.net/dMagnetic/dMagnetic_032.pdf"
+MD5SUM="c153195e0ed5dab4ff4595f0eba103a8 \
+ 03044f7ac6efad7cf77af78c92817c7b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/dmagnetic/slack-desc b/games/dmagnetic/slack-desc
new file mode 100644
index 0000000000..e7f5905282
--- /dev/null
+++ b/games/dmagnetic/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dmagnetic: dmagnetic (interpreter for Magnetic Scrolls games)
+dmagnetic:
+dmagnetic: dMagnetic is an interpreter for classic adventure games, or
+dmagnetic: interactive fiction, using the Magnetic Scrolls game engine. Supported
+dmagnetic: games are "The Pawn", "The Guild of Thieves", "Jinxter", "Fish!",
+dmagnetic: "Myth", "Corruption", and "Wonderland".
+dmagnetic:
+dmagnetic:
+dmagnetic:
+dmagnetic:
+dmagnetic: